org.apache.ivy.plugins.matcher

## Class ExactPatternMatcher

- java.lang.Object
- - org.apache.ivy.plugins.matcher.AbstractPatternMatcher
  - - org.apache.ivy.plugins.matcher.ExactPatternMatcher

All Implemented Interfaces:
  PatternMatcher

    public final class ExactPatternMatcher
    extends AbstractPatternMatcher

Implementation of an exact matcher.

The matching will be performed against an expression being a string. It will only matches if both strings are equal (per equals()) rule or if both strings are null.

### Field Summary

Fields
`static ExactPatternMatcher` `INSTANCE`

### Fields inherited from interface org.apache.ivy.plugins.matcher.PatternMatcher

`ANY_EXPRESSION, EXACT, EXACT_OR_REGEXP, GLOB, REGEXP`

### Constructor Summary

Constructors
Constructor and Description
`ExactPatternMatcher()`

### Method Summary

Methods
`protected Matcher` `newMatcher(java.lang.String expression)` Returns an instance of the implementation specific matcher.

### Methods inherited from class org.apache.ivy.plugins.matcher.AbstractPatternMatcher

`getMatcher, getName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ExactPatternMatcher INSTANCE

### Constructor Detail

#### ExactPatternMatcher

    public ExactPatternMatcher()

### Method Detail

#### newMatcher

    protected Matcher newMatcher(java.lang.String expression)

Description copied from class: `AbstractPatternMatcher`
Returns an instance of the implementation specific matcher.

Specified by:
  `newMatcher` in class `AbstractPatternMatcher`
Parameters:
  `expression` - the string to be matched.
Returns:
  the instance of the related matcher. Never null.